Delen via


Web Apps - Update Connection Strings

Beschrijving voor Vervangt de verbindingsreeksen van een app.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/config/connectionstrings?api-version=2025-05-01

URI-parameters

Name In Vereist Type Description
name
path True

string

Naam van de app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
kind

string

Soort resource.

properties.

ConnStringValueTypePair

Waarde van de databaseverbindingsreeks om te typen.

Antwoorden

Name Type Description
200 OK

ConnectionStringDictionary

Azure-bewerking is voltooid.

Other Status Codes

DefaultErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Definities

Name Description
ConnectionStringDictionary

Bron voor tekenreekswoordenboek.

ConnectionStringType

Type database.

ConnStringValueTypePair

Waarde van de databaseverbindingsreeks om te typen.

DefaultErrorResponse

Foutreactie van App Service.

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

ConnectionStringDictionary

Bron voor tekenreekswoordenboek.

Name Type Description
id

string

Resource-id.

kind

string

Soort resource.

name

string

Naam van de bron.

properties.

ConnStringValueTypePair

Waarde van de databaseverbindingsreeks om te typen.

type

string

Type bron

ConnectionStringType

Type database.

Waarde Description
MySql
SQLServer
SQLAzure
Custom
NotificationHub
ServiceBus
EventHub
ApiHub
DocDb
RedisCache
PostgreSQL

ConnStringValueTypePair

Waarde van de databaseverbindingsreeks om te typen.

Name Type Description
type

ConnectionStringType

Type database.

value

string

Waarde van paar.

DefaultErrorResponse

Foutreactie van App Service.

Name Type Description
error

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseError

Foutmodel.

Name Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

details

DefaultErrorResponseErrorDetailsItem[]

Gedetailleerde fouten.

innererror

string

Meer informatie om fouten op te sporen.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

Name Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.